> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinksale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tax

> Get a specific tax by ID



## OpenAPI

````yaml GET /v1/taxes/{taxId}
openapi: 3.1.0
info:
  title: Blinksale API
  description: Official API for Blinksale - A modern invoicing solution
  version: 1.0.0
  contact:
    name: Blinksale Support
    url: https://blinksale.com/contact
    email: support@blinksale.com
servers:
  - url: https://app.blinksale.test/api
    description: Development server
  - url: https://blinksale.avenues.dev/api
    description: Staging server
  - url: https://app.blinksale.com/api
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: Organizations
    description: Operations for managing organizations
  - name: Profile
    description: Operations for managing user profiles
  - name: Clients
    description: Operations for managing clients
  - name: Contacts
    description: Operations for managing client contacts
  - name: Estimates
    description: Operations for managing estimates
  - name: Invoices
    description: Operations for managing invoices
  - name: Payments
    description: Operations for managing payments
  - name: Recurring Invoices
    description: Operations for managing recurring invoices
  - name: Taxes
    description: Operations for managing tax rates
  - name: Units
    description: Operations for managing units of measurement
  - name: Saved Items
    description: Operations for managing saved items/products
  - name: Enums
    description: Operations for retrieving enumeration values
paths:
  /v1/taxes/{taxId}:
    get:
      tags:
        - Taxes
      summary: Get tax
      description: Returns a specific tax by ID
      operationId: getTax
      parameters:
        - name: taxId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The ID of the tax to retrieve
      responses:
        '200':
          description: Tax retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Tax retrieved successfully
                  data:
                    $ref: '#/components/schemas/Tax'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Tax not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Tax:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: 01jtbf0c9zaraqx3swthf88n5y
        organization_id:
          type: string
          format: uuid
          example: 01jtbf0c9zaraqx3swthf88n5y
        name:
          type: string
          example: Sales Tax
        percent:
          type: number
          format: float
          example: 8.5
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    Error:
      type: object
      required:
        - success
        - message
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          example: An error occurred
        errors:
          type: object
          description: Validation errors by field
          example:
            email:
              - The email field is required.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Access token obtained from the /v1/auth/login endpoint

````